<%@ Page Language="C#" AutoEventWireup="true" CodeFile="haldus.aspx.cs" Inherits="admin_haldus"  ValidateRequest="false"%>
<%@ Register TagPrefix="cc" 
    Namespace="ExportTechnologies.WebControls.RTE" 
    Assembly="ExportTechnologies.WebControls.RTE" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Ajaveebi haldusleht</title>
</head>
<body>
    <form id="form1" runat="server">
        <asp:LoginStatus ID="LoginStatus1" runat="server"  LogoutText="Lahku"/>
    <div>
        <asp:SqlDataSource ID="SqlDataSource2" runat="server" ConnectionString="<%$ ConnectionStrings:yhendus1 %>" 
          SelectCommand="SELECT id, tyybinimi from teatetyyp">        
        </asp:SqlDataSource>
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:yhendus1 %>" 
        DeleteCommand="DELETE FROM [ajaveebitabel] WHERE [id] = @id" 
        InsertCommand="INSERT INTO [ajaveebitabel] ([pealkiri], [teatesisu], [tyybiID]) VALUES (@pealkiri, @teatesisu, @tyybiID)" 
        SelectCommand="SELECT ajaveebitabel.id, [pealkiri], [teatesisu], tyybiID, 
                          tyybinimi, pildiurl
                         FROM [ajaveebitabel] INNER JOIN teatetyyp 
                         ON ajaveebitabel.tyybiID=teatetyyp.id" 
        UpdateCommand="UPDATE [ajaveebitabel] SET [pealkiri] = @pealkiri, [teatesisu] = @teatesisu, tyybiID=@tyybiID WHERE [id] = @id">
            <DeleteParameters>
                <asp:Parameter Name="id" Type="Int32" />
            </DeleteParameters>
            <UpdateParameters>
                <asp:Parameter Name="pealkiri" Type="String" />
                <asp:Parameter Name="teatesisu" Type="String" />
                <asp:Parameter Name="id" Type="Int32" />
                <asp:Parameter Name="tyybiID" Type="Int32" />
            </UpdateParameters>
            <InsertParameters>
                <asp:Parameter Name="pealkiri" Type="String" />
                <asp:Parameter Name="teatesisu" Type="String" />
                <asp:Parameter Name="tyybiID" Type="Int32" />
            </InsertParameters>
          
        </asp:SqlDataSource>
        <asp:DetailsView ID="DetailsView1" runat="server" AllowPaging="True" AutoGenerateRows="False"
            DataKeyNames="id" DataSourceID="SqlDataSource1" Height="50px" Width="125px">
            <Fields>
                <asp:BoundField DataField="id" HeaderText="id" InsertVisible="False" ReadOnly="True"
                    SortExpression="id" />
                <asp:BoundField DataField="pealkiri" HeaderText="pealkiri" SortExpression="pealkiri" />
                <asp:TemplateField HeaderText="Teade" ItemStyle-Height="200px">
                  <ItemTemplate>
                    Teate koht:
                    <asp:Label id="Label1" runat="server" text='<%#Bind("teatesisu") %>' />
                  </ItemTemplate>
                  <InsertItemTemplate >
                    <cc:RichTextEditor id="redaktor1" runat="server" Text='<%#Bind("teatesisu") %>' />
                  </InsertItemTemplate>
                  <EditItemTemplate>
                    <cc:RichTextEditor id="redaktor2" runat="server" Text='<%#Bind("teatesisu") %>' />
                  </EditItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Teate tp">
                   <InsertItemTemplate>
                       <asp:DropDownList ID="DropDownList1" runat="server"
                           DataSourceID="SqlDataSource2" DataTextField="tyybinimi"
                           DataValueField="id" SelectedValue='<%#Bind("tyybiID") %>'  >
                       </asp:DropDownList>                       
                   </InsertItemTemplate>
                   <EditItemTemplate>
                       <asp:DropDownList ID="DropDownList1" runat="server"
                           DataSourceID="SqlDataSource2" DataTextField="tyybinimi"
                           DataValueField="id" SelectedValue='<%#Bind("tyybiID") %>'  >
                       </asp:DropDownList>                                          
                   </EditItemTemplate>
                   <ItemTemplate>
                      <asp:Label runat="server" ID="label2" Text='<%#Bind("tyybinimi") %>' />
                      <asp:Image runat="server" ID="image1" ImageUrl='<%#"~/"+Eval("pildiurl") %>'/>
                   </ItemTemplate>
                </asp:TemplateField>
                <asp:CommandField ShowDeleteButton="True" ShowEditButton="True" ShowInsertButton="True" 
                  NewText="Lisa uus"
                />
            </Fields>
        </asp:DetailsView>
        <a href="varundus.aspx">Varunda</a>
    </div>
    </form>
</body>
</html>
